# Create a collection

Creates a collection in the matching Brandfolder.

Endpoint: POST /brandfolders/{brandfolder_id}/collections
Version: v4
Security: APIToken

## Path parameters:

  - `brandfolder_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgiju-21olts-ce9egi"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Accept` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Request fields (application/json):

  - `data` (object, required)

  - `data.attributes` (object, required)

  - `data.attributes.name` (string, required)
    A name.
    Example: "My collection"

  - `data.attributes.slug` (string)
    A URL-friendly slug. Use only letters, numbers, hyphens, and
underscores.

NOTE: We recommend not to invent your own slug. If it is
not unique and valid, the request fails with a 422 error.
Default is to automatically assign a slug based on name (a
name of \"My Collection\" would make a slug of
\"my-collection\").
    Example: "my-collection"

  - `data.attributes.tagline` (string)
    A tag line.
    Example: "My collection tag line"

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-hh142d"

  - `type` (string, required)
    The type of the resource.
    Enum: "collections"

  - `attributes` (object, required)

  - `attributes.name` (string)
    The name of the collection.
    Example: "My collection"

  - `attributes.tagline` (string)
    The tagline of the collection.
    Example: "My collection tag line"

  - `attributes.slug` (string)
    The URL-friendly slug of the collection.
    Example: "my-collection"

  - `attributes.public` (boolean)
    Set to true for hassle-free sharing, allowing search engines to index your brand assets. Otherwise, set to false to share only with the users you specify.

  - `attributes.stealth` (boolean)
    Set to true to remove the collection from appearing in web searches.

  - `attributes.is_workspace` (boolean)
    Set to true if the collection is a Brandfolder workspace.


